/* eslint-env node */
/* eslint-disable */

const {
  getDefaultConfig
} = require("expo/metro-config");
const path = require("path");

const root = path.resolve(__dirname, "..");

const nodeModulesPaths = [path.resolve(__dirname, "node_modules")];

const config = getDefaultConfig(__dirname);

config.watchFolders = [root];

config.resolver.extraNodeModules = {
  "ncore-ui-kit-mobile": path.resolve(root, "src"),
  "react": path.resolve(__dirname, "node_modules/react"),
  "react-native": path.resolve(__dirname, "node_modules/react-native"),
};

config.resolver.nodeModulesPaths = nodeModulesPaths;

config.resolver.disableHierarchicalLookup = true;

module.exports = config;
